#! /bin/bash

 install lvm2 -y
echo ""
echo ""
echo ""
echo "-----------------------------------------------------------------------"

export VG_NAME=datavg

echo "n
p



t

8e
w
" | fdisk /dev/vdb
partprobe
# 如果已经存在卷组，直接进行添加
# vgextend rootvg /dev/sdc1
vgcreate ${VG_NAME} /dev/vdb1
export selfpesize=$(vgdisplay ${VG_NAME} | grep 'Total PE' | awk '{print $3}')
# 大小根据实际情况调整
lvcreate -l ${selfpesize} -n lvdata ${VG_NAME}
mkfs.xfs /dev/mapper/${VG_NAME}-lvdata
#mkfs.ext4  /dev/mapper/${VG_NAME}-lvdata
mkdir -p /home/app-plus
#mkdir -p /var/lib/docker
#selffstab="/dev/mapper/${VG_NAME}-lvdata       /var/lib/docker          xfs    defaults        0 0"
export selffstab="/dev/mapper/${VG_NAME}-lvdata       /home/app-plus         xfs    defaults        0 0"
echo "${selffstab}" >> /etc/fstab
mount -a

echo ""
echo ""
echo ""
df -TH
echo "-----------------------------------------------------------------------"
s
# 扩容根目录，${VG_NAME}-root 通过df -Th获取需要扩容的文件系统
# lvextend -l +100%FREE /dev/mapper/s${VG_NAME}-root
# xfs_growfs /dev/mapper/${VG_NAME}-root

# 自定义 安装lvm2'
echo "n
p



t

8e
w
" | fdisk /dev/vda
partprobe
vgextend klas_host-10-190-202-141 /dev/vda4
lvextend -l +100%FREE /dev/mapper/klas_host--10--190--202--141-root
partprobe
xfs_growfs /dev/mapper/klas_host--10--190--202--141-root
df -TH